## com.fasterxml.jackson.databind.ser.std
Class StdKeySerializers.CalendarKeySerializer

    java.lang.Object
      com.fasterxml.jackson.databind.JsonSerializer<T>
          com.fasterxml.jackson.databind.ser.std.StdSerializer<Calendar>
              com.fasterxml.jackson.databind.ser.std.StdKeySerializers.CalendarKeySerializer

All Implemented Interfaces:
  JsonFormatVisitable, SchemaAware

Enclosing class:
  StdKeySerializers

    public static class StdKeySerializers.CalendarKeySerializer

extends StdSerializer<Calendar>

Nested Class Summary

Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonSerializer
`JsonSerializer.None`

Field Summary
`protected static JsonSerializer<?>` `instance`

Fields inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer
`_handledType`

Constructor Summary
`StdKeySerializers.CalendarKeySerializer()`

Method Summary
`void` `serialize(Calendar value, JsonGenerator jgen, SerializerProvider provider)` Method that can be called to ask implementation to serialize values of type this serializer handles.

Methods inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer
`acceptJsonFormatVisitor, createObjectNode, createSchemaNode, createSchemaNode, getSchema, getSchema, handledType, isDefaultSerializer, wrapAndThrow, wrapAndThrow`

Methods inherited from class com.fasterxml.jackson.databind.JsonSerializer
`getDelegatee, isEmpty, isUnwrappingSerializer, replaceDelegatee, serializeWithType, unwrappingSerializer, usesObjectId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instance

    protected static final JsonSerializer<?> instance

Constructor Detail

### StdKeySerializers.CalendarKeySerializer

    public StdKeySerializers.CalendarKeySerializer()

Method Detail

### serialize

    public void serialize(Calendar value,
                          JsonGenerator jgen,
                          SerializerProvider provider)
                   throws IOException,
                          JsonGenerationException

  Description copied from class: `JsonSerializer`
  Method that can be called to ask implementation to serialize values of type this serializer handles.

  Specified by:
    `serialize` in class `StdSerializer<Calendar>`
  Parameters:
    `value` - Value to serialize; can not be null.
    `jgen` - Generator used to output resulting Json content
    `provider` - Provider that can be used to get serializers for serializing Objects value contains, if any.
  Throws:
    `IOException`
    `JsonGenerationException`

Copyright © 2012 FasterXML. All Rights Reserved.